%define upstream_name    Complete-Common
%define upstream_version 0.22

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Common stuffs for completion routines
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Complete/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This module defines some common arguments and settings. 'Complete::*'
modules should use the default from these settings, to make it convenient
for users to change some behaviors globally.

The defaults are optimized for convenience and laziness for user typing and
might change from release to release.

'$Complete::Common::OPT_CI' => bool (default: from COMPLETE_OPT_CI or 1)
    If set to 1, matching is done case-insensitively.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README Changes LICENSE META.json META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.220.0-2.mga6
+ Revision: 1024272
- Rebuild for perl 5.22.2

* Sat Mar 26 2016 shlomif <shlomif> 0.220.0-1.mga6
+ Revision: 995624
- imported package perl-Complete-Common


* Sat Mar 26 2016 cpan2dist 0.22-1mga
- initial mageia release, generated with cpan2dist
